import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  The AWS::Cognito::UserPoolDomain resource creates a new domain for a user pool.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-cognito-userpooldomain.html">the AWS Docs</a>
*/
export function userPoolDomain(userPoolDomainProps) {
    return new AwsResource('AWS::Cognito::UserPoolDomain', userPoolDomainProps, { CloudFrontDistribution: 'CloudFrontDistribution' });
}
